import BaseController, { ROLE_ANON } from 'common/base.controller'
import { role, router } from 'decorators/router'

class OauthController extends BaseController {
  @role(ROLE_ANON)
  @router('get /oauth/redirect')
  @router('post /oauth/redirect')
  async appleWebLoginCb(req, res) {
    let { code, state, error, token, id_token } = req.params
    code = code || token
    console.log(`code: ${code}, state: ${state}, error: ${error}`)
    if (error) {
      res.redirect(`cfoauthcb://login_result?state=${state}&error=${JSON.stringify(error)}`)
    } else {
      res.redirect(`cfoauthcb://login_result?token=${id_token || code}&state=${state}`)
    }
  }
}
